## xapian-bindings 1.4.25

=== debian/changelog ===
xapian-bindings (1.4.25-1build5) plucky; urgency=medium

  * No-change rebuild with Python 3.13 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 05 Mar 2025 01:19:29 +0000

xapian-bindings (1.4.25-1build4) plucky; urgency=medium

  * SRU: #2083480: No-change rebuild to add support for Python 3.13.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 13 Nov 2024 10:02:20 +0100

xapian-bindings (1.4.25-1build3) oracular; urgency=medium

  * No-change upload to add ruby3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 16 Aug 2024 10:34:15 -0300

xapian-bindings (1.4.25-1build2) oracular; urgency=medium

  * No-change upload to add support for Ruby 3.3.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 15 Aug 2024 00:39:34 -0300

xapian-bindings (1.4.25-1build1) oracular; urgency=medium

  * No-change upload to add ruby3.3 as the default.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 13 Aug 2024 23:17:13 -0300

xapian-bindings (1.4.25-1) unstable; urgency=medium

  * New upstream release:
    + debian/control.in: Add pkgconf to Build-Depends, needed since upstream
      1.4.24.
  * debian/clean: Remove python3/__pycache__/ on clean.  (Closes: #1047428)
  * debian/copyright: Update copyright holders and years.

 -- Olly Betts <olly@survex.com>  Wed, 10 Apr 2024 10:45:09 +1200

xapian-bindings (1.4.22-2) unstable; urgency=medium

  * debian/control.in: Mark conformance with policy 4.7.0.
  * debian/rules: Adjust ruby-xapian generated "Depends" to pick up t64
    suffix.  (Closes: #1068599)

 -- Olly Betts <olly@survex.com>  Mon, 08 Apr 2024 17:05:15 +1200
