## xapian-bindings 1.4.29

=== debian/changelog ===
xapian-bindings (1.4.29-1build1) resolute; urgency=medium

  * No-change rebuild with Python 3.14 as supported version

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 18 Oct 2025 14:26:47 +0000

xapian-bindings (1.4.29-1) unstable; urgency=medium

  * New upstream release.
  * debian/control.in: Mark conformance with policy 4.7.2.

 -- Olly Betts <olly@survex.com>  Sun, 20 Apr 2025 09:20:16 +1200
