=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: libs
 Priority: optional
 Maintainer: Olly Betts <olly@survex.com>
-Build-Depends: javahelper, default-jdk, fastjar, ruby-all-dev, ruby, ruby-test-unit, dh-python, python3, python3-all-dev, python3-sphinx, tcl-dev, libxapian-dev (>= 1.4.25), libxapian-dev (<< 1.5.0), debhelper-compat (= 12), pkgconf
+Build-Depends: javahelper, default-jdk, fastjar, ruby-all-dev, ruby, ruby-test-unit, dh-python, python3, python3-all-dev, python3-sphinx, tcl-dev, libxapian-dev (>= 1.4.29), libxapian-dev (<< 1.5.0), debhelper-compat (= 12), pkgconf
 XS-Ruby-Versions: all
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://xapian.org/
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/olly/xapian-bindings
