=== debian/rules ===
#!/usr/bin/make -f
#
# Copyright (C) 2004,2005,2006 Lemur Consulting Ltd
# Copyright (C) 2006-2022 Olly Betts
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to
# deal in the Software without restriction, including without limitation the
# rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
# sell copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
# FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
# IN THE SOFTWARE.

# Codename we're building packages for.  For backported packages, put the
# codename (e.g. wheezy or precise) in debian/codename.  If that file doesn't
# exist, the default is sid.
CODENAME := $(shell cat debian/codename 2>/dev/null||echo sid)

# Version without the "-N" suffix.
XAPIAN_VERSION := $(shell sed 's/.*(\([^-+]*\)\([-+].*\)*).*/\1/;q' debian/changelog)

# The next incompatible version - i.e. the first release of the next release
# branch.  So for XAPIAN_VERSION "1.0.<n>", this should be "1.1.0".
XAPIAN_VERSION_CEILING := $(shell echo '$(XAPIAN_VERSION)'|awk -F. '{print $$1"."$$2+1".0"}')

BUILD_DEPS :=

dh_with :=

# PHP is disabled by default due to incompatibility of GPL and PHP licence.
#
# python (i.e. Python 2) is disable by default due to python2 removal.
#
# perl is currently disabled by default as in 1.4.x these bindings are still
# experimental and Search::Xapian is packaged separately.
DEFAULT_LANGUAGES := java python3 ruby tcl
LANGUAGES := $(shell cat debian/bindings-to-package 2>/dev/null || echo '$(DEFAULT_LANGUAGES)')

ifneq ($(findstring java, $(LANGUAGES)), )
export JAVA_HOME=/usr/lib/jvm/default-java
BUILD_DEPS += javahelper, default-jdk, fastjar,
dh_with += --with javahelper
endif

ifneq ($(findstring perl, $(LANGUAGES)), )
# POD tests currently fail upstream so don't enable for now.
# export TEST_POD=1
BUILD_DEPS += libtest-pod-perl, perl,
BUILD_PERL := 1
endif

# Use filter instead of findstring so we only match against whole words
# (in particular, we don't want to match "php7").  Allow "php" or "php5"
# - "php" is the documented name, but we used to check with "findstring"
# here, so "php5" will always have worked too.
ifneq ($(filter php php5, $(LANGUAGES)), )
BUILD_PHP5 := 1
# Build depends for PHP5.  We need the -cli package so we can run "make check"
# on the bindings and to get the phpapi version we need to depend on.
BUILD_DEPS += php5-dev, php5-cli,
endif

ifneq ($(filter php7, $(LANGUAGES)), )
BUILD_PHP7 := 1
PHP7_VERSIONS ?= $(shell /usr/sbin/phpquery -V)
# Build depends for PHP7.  We need the -cli package so we can run "make check"
# on the bindings and to get the phpapi version we need to depend on.
#
# Only the first % in the replacement part is substituted, so we need to do
# this in two goes.  It might seem that php-all-dev makes the versioned
# phpN-dev dependencies unnecessary, but sadly the description is misleading
# and it apparently deliberately only pulls a single phpN-dev.  We could just
# build for that single version, but there appears to be no way to pull in the
# corresponding php-cli version, so given we have to mess with versions here
# it's actually simpler to do this.
BUILD_DEPS += $(PHP7_VERSIONS:%=php%-dev,) $(PHP7_VERSIONS:%=php%-cli,)
endif

XS_RUBY_VERSIONS := X-Dummy-Ruby: Ruby bindings not being packaged
ifneq ($(findstring ruby, $(LANGUAGES)), )
# xapian-bindings 1.3.6 dropped support for Ruby < 2.1, so skip packaging the
# ruby bindings for codenames which didn't have Ruby >= 2.1.
ifeq ($(findstring .$(CODENAME)., .precise.trusty.squeeze.wheezy.), )
XS_RUBY_VERSIONS := XS-Ruby-Versions: all
rubylibdir := vendorlibdir
rubyarchdir := vendorarchdir
# More recent versions all have the ruby-all-dev and ruby packages.
BUILD_DEPS += ruby-all-dev, ruby,
# Ruby 2.2 unbundled unit/test.
BUILD_DEPS += ruby-test-unit,
RUBY_VERSIONS := $(shell ruby -rruby_debian_dev -e 'print RubyDebianDev::RUBY_CONFIG_VERSION.values.join(" ")')
RUBY_LATEST_VERSION := $(shell ruby -rruby_debian_dev -e 'print RubyDebianDev::RUBY_CONFIG_VERSION.values[-1]')
endif
endif

# Use filter instead of findstring so we only match against whole words
# (in particular, we don't want to match "python3").
ifneq ($(filter python, $(LANGUAGES)), )
# The python2 versions to build for:
PYTHON_VERSIONS := $(shell pyversions -s)

BUILD_DEPS += dh-python, python, python-all-dev (>= 2.6.6-3~), python-sphinx,
dh_with += --with python2
endif

ifneq ($(filter python3, $(LANGUAGES)), )
# The python3 versions to build for:
PYTHON3_VERSIONS := $(shell py3versions -s)
ifeq ($(filter python, $(LANGUAGES)), )
# Need dh-python for python and python3 bindings, but only list it once when
# building both.
BUILD_DEPS += dh-python,
endif
BUILD_DEPS += python3, python3-all-dev, python3-sphinx,
dh_with += --with python3
endif

ifneq ($(findstring tcl, $(LANGUAGES)), )
# Build depends for Tcl.  We use Tcl's stubs mechanism, so the built
# bindings will work with any Tcl version from 8.0.6 upwards, whichever
# version they were built against.
#
# The "tcl-dev" dependency package pulls in the package for the current
# preferred version.
BUILD_DEPS += tcl-dev,# NB Trailing ',' required here!
BUILD_TCL := 1
endif

confflags := $(shell dpkg-buildflags --export=configure)

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
    confflags += --build $(DEB_HOST_GNU_TYPE)
else
    confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

# Handle DEB_BUILD_OPTIONS.  Note that dh_strip handles "nostrip" for us,
# dpkg-buildflags handles "noopt", and dh_auto_test handles "nocheck".
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

# We need a versioned build dependency on libxapian-dev.
# NB Trailing ',' required here!
BUILD_DEPS += \
	libxapian-dev (>= $(XAPIAN_VERSION)), \
	libxapian-dev (<< $(XAPIAN_VERSION_CEILING)),

commonconfflags := \
	$(confflags) \
	--prefix=/usr \
	--sysconfdir=/etc

# With GCC3 and later this won't make a huge difference, but it'll save
# a bit of time and diskspace while building.
commonconfflags += --disable-dependency-tracking

%:
	dh $@ $(dh_with)

debian/control: maint

maintclean: clean
	rm -f debian/control

maint:
	rm -f debian/control.tmp
	sed -e 's/@BUILD_DEPS@/$(BUILD_DEPS)/g' \
	    -e 's/@XS_RUBY_VERSIONS@/$(XS_RUBY_VERSIONS)/g' \
	    < debian/control.in > debian/control.tmp
ifneq ($(findstring java, $(LANGUAGES)), )
	cat debian/control-java.in >> debian/control.tmp
endif
ifeq ($(BUILD_TCL), 1)
	cat debian/control-tcl.in >> debian/control.tmp
endif
ifeq ($(BUILD_PERL), 1)
	cat debian/control-perl.in >> debian/control.tmp
endif
ifneq ($(PYTHON_VERSIONS), )
	cat debian/control-python.in >> debian/control.tmp
endif
ifneq ($(PYTHON3_VERSIONS), )
	cat debian/control-python3.in >> debian/control.tmp
endif
ifeq ($(BUILD_PHP5), 1)
	sed "s/@PHP_VERSION@/5/g" debian/control-php.in >> debian/control.tmp
endif
ifeq ($(BUILD_PHP7), 1)
	sed "s/@PHP_VERSION@/7/g" debian/control-php.in >> debian/control.tmp
endif
ifneq ($(RUBY_VERSIONS), )
	cat debian/control-ruby.in >> debian/control.tmp
endif
