=== debian/watch ===
version=3
# For stable releases:
opts="pgpsigurlmangle=s/$/.asc/" https://xapian.org/download https://oligarchy.co.uk/xapian/(\d+\.\d*[02468]\.[\d.]+)/xapian-bindings-\1\.tar\.(?:xz|bz2|gz)
# For development releases:
#opts="pgpsigurlmangle=s/$/.asc/" https://xapian.org/download https://oligarchy.co.uk/xapian/(\d+\.\d*[13579]\.[\d.]+)/xapian-bindings-\1\.tar\.(?:xz|bz2|gz)
