## xapian-bindings 1.4.31

=== debian/changelog ===
xapian-bindings (1.4.31-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches/hurd-jni-include-path.patch: New patch to try to get
    java bindings building on hurd (though the Java implementation there
    seems to be GCJ which was removed in GCC7 so I don't hold out a lot
    of hope...)
  * debian/copyright: Eliminate reference to old FSF address.
  * debian/control.in: Mark conformance with policy 4.7.3.

 -- Olly Betts <olly@survex.com>  Tue, 03 Mar 2026 08:50:03 +1300
